/*
 * main.c
 *
 *  Created on: Oct 29, 2013
 *      Author: mtk
 */
#include <stdio.h>
#include <time.h>
#include "recursion.h"

int main(){
	time_t begin,end;
	double elapsed;

	int n = 30;
	begin = clock();
	printf("recursive Fibonacci( %d ) = %d\n",n,fibonacci(n));
	end = clock();
	elapsed = (double)(end-begin) / CLOCKS_PER_SEC;
	printf("Recursive fibonacci elapsed: %.6f s\n",elapsed);

	begin = clock();
	printf("iterative Fibonacci( %d ) = %d\n",n,fibonacci_it(n));
	end = clock();
	elapsed = (double)(end-begin) / CLOCKS_PER_SEC;
	printf("Iterative fibonacci elapsed: %.6f s\n",elapsed);

	int a[] = { 1 , 3 , 4 , 6 , 8 , 9 , 11 , 12 };
	int x = 12;

	int i;
	for(i=0; i<15; ++i){
		int result = binarysearch(a,0,7,i);
	    printf("Position of element %d in array: %d\n",i,result);
	}

	int v[] = { 9 , 10 , 1 , 3 , 4 , 8 , 7 , 2 };
	merge_sort(v,0,7);
	for(i=0; i<8; ++i){
		printf("%d, ",v[i]);
	}


	return 0;
}

